package com.diagbot.rabbit;

import com.alibaba.fastjson.JSON;
import com.diagbot.entity.SysLog;
import com.diagbot.facade.SysLogFacade;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.concurrent.CountDownLatch;

/**
 * @Description: 消费者处理
 * @author: gaodm
 * @time: 2018/8/1 17:02
 */
@Component
public class Receiver {

    private CountDownLatch latch = new CountDownLatch(1);

    @Autowired
    SysLogFacade sysLogFacade;
    public void receiveMessage(String message) {
        System.out.println("Received <" + message + ">");
        SysLog  sysLog=  JSON.parseObject(message,SysLog.class);
        sysLogFacade.save(sysLog);
        latch.countDown();
    }


}