package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.User;
import com.diagbot.mapper.UserMapper;
import com.diagbot.service.UserService;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2018-08-02
 */
@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements UserService {
    @Override
    public User findByName(String username){
        return baseMapper.findByName(username);
    }

    @Override
    public Page<User> selectUserListPage(Page<Map> mapPage, User user) {
        Page<User> pageRes = new Page<>(mapPage.getCurrent(),mapPage.getSize());// 当前页，总条数 构造 page 对象
        List<User> users =  baseMapper.selectUserListPage(mapPage, user);
        pageRes.setRecords(users);
        pageRes.setTotal(mapPage.getTotal());
        return pageRes;
    }
}
